# Import der Funktionalität zur Verwendung von Zufallszahlen
from random import choice


# Funktion, welche Gustav nach Aktivierung Befehle entgegennehmen lässt
def gustav_aktiv():
    befehl = input("Nenne einen Befehl oder sage 'Hilfe': ")
    if befehl == "Erzähle Witz" or befehl == "Witz":
        erzaehle_witz()
    elif befehl == "Wettervorhersage" or befehl == "Wetter":
        wettervorhersage()
    elif befehl == "Mache Kompliment" or befehl == "Kompliment" or befehl == "Sei nett zu mir":
        mache_kompliment()
    elif befehl == "Hilfe":
        zeige_hilfe()
    else:
        print("Das kann ich leider noch nicht!")
        zeige_hilfe()


# Funktion zur Ausgabe eines zufälligen Witzes aus der Datei 6-Gustav-Witze.txt
def erzaehle_witz():
    # Witze aus der Datei 6-Gustav-Witze.txt einlesen und in Variable witze speichern
    with open('6-Gustav-Witze.txt', 'r') as file:
        witze = [line.rstrip() for line in file]
    print(choice(witze))

    
# Funktion zur Ausgabe der Wettervorhersage aus der Datei 6-Gustav-Wetter.txt
def wettervorhersage():
    # Wetterdaten aus der Datei 6-Gustav-Wetter.txt einlesen und in Variable wetter speichern
    with open('6-Gustav-Wetter.txt', 'r') as file:
        wetter = file.read().rstrip()
    print("**********************************")
    print("*        Wettervorhersage        *")
    print("**********************************")
    print(wetter)


# Funktion zur Erfassung des Namens und Ausgabe eines Kompliments 
def mache_kompliment():
    name = input("Wie heißt Du? ")
    print("Hey " + name + ", Du siehst heute hervorragend aus!")


# Funktion zur Ausgabe der Hilfe
def zeige_hilfe():
    print("**********************************")
    print("*    Hilfe: Befehle an Gustav    *")
    print("**********************************")
    print("'Erzähle Witz' oder 'Witz'")
    print("'Wettervorhersage' oder 'Wetter'")
    print("'Mache Kompliment' oder 'Kompliment' oder 'Sei nett zu mir'") 


# Endlosschleife
aktivierungswort = ""
while aktivierungswort != "exit":
    aktivierungswort = input("Warte auf Aktivierungswort: ")
    if aktivierungswort == "Gustav":
        gustav_aktiv()
print("Programmende.")
        
